complexType "EquityExerciseValuationSettlement"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 14 elements
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 14 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (equityEuropeanExercise | equityAmericanExercise | equityBermudaExercise), ((automaticExercise, makeWholeProvisions?) | prePayment), equityValuation, settlementDate?, settlementCurrency, settlementPriceSource?, settlementType, settlementMethodElectionDate?, settlementMethodElectingPartyReference?, settlementPriceDefaultElection?
</...>

Content Model Elements (14):

  automaticExercise (defined in EquityExerciseValuationSettlement complexType),
  equityAmericanExercise,
  equityBermudaExercise,
  equityEuropeanExercise,
  equityValuation,
  makeWholeProvisions,
  prePayment (defined in EquityExerciseValuationSettlement complexType),
  settlementCurrency (defined in EquityExerciseValuationSettlement complexType),
  settlementDate (defined in EquityExerciseValuationSettlement complexType),
  settlementMethodElectingPartyReference,
  settlementMethodElectionDate,
  settlementPriceDefaultElection,
  settlementPriceSource,
  settlementType (defined in EquityExerciseValuationSettlement complexType)

All Direct / Indirect Based Elements (2):

  equityExercise (defined in EquityDerivativeBase complexType),
  equityExercise (in varianceOptionTransactionSupplement)

Known Usage Locations

- As direct type of elements (2):
  equityExercise (defined in EquityDerivativeBase complexType),
  equityExercise (in varianceOptionTransactionSupplement)

Annotation
A type for defining exercise procedures for equity options.
XML Source (w/o annotations (12); see within schema source)

<xsd:complexType name="EquityExerciseValuationSettlement"> <xsd:sequence> <xsd:choice> <xsd:element name="equityEuropeanExercise" type="EquityEuropeanExercise"/> <xsd:element name="equityAmericanExercise" type="EquityAmericanExercise"/> <xsd:element name="equityBermudaExercise" type="EquityBermudaExercise"/> </xsd:choice> <xsd:choice> <xsd:sequence> <xsd:element name="automaticExercise" type="xsd:boolean"/> <xsd:element minOccurs="0" name="makeWholeProvisions" type="MakeWholeProvisions"/> </xsd:sequence> <xsd:element name="prePayment" type="PrePayment"/> </xsd:choice> <xsd:element name="equityValuation" type="EquityValuation"/> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/> <xsd:element name="settlementCurrency" type="Currency"/> <xsd:element minOccurs="0" name="settlementPriceSource" type="SettlementPriceSource"/> <xsd:element name="settlementType" type="SettlementTypeEnum"/> <xsd:element minOccurs="0" name="settlementMethodElectionDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="settlementMethodElectingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="settlementPriceDefaultElection" type="SettlementPriceDefaultElection"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 14/14)
automaticExercise

  Type: | xsd:boolean, predefined, simple content

  If true then each option not previously exercised will be deemed to be exercised at the expiration time on the expiration date without service of notice unless the buyer notifies the seller that it no longer wishes this to occur.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="automaticExercise" type="xsd:boolean"/>

equityAmericanExercise

  Type: | EquityAmericanExercise, complex content

  The parameters for defining the exercise period for an American style equity option together with the rules governing the quantity of the underlying that can be exercised on any given exercise date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="equityAmericanExercise" type="EquityAmericanExercise"/>

equityBermudaExercise

  Type: | EquityBermudaExercise, complex content

  The parameters for defining the exercise period for an Bermuda style equity option together with the rules governing the quantity of the underlying that can be exercised on any given exercise date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="equityBermudaExercise" type="EquityBermudaExercise"/>

equityEuropeanExercise

  Type: | EquityEuropeanExercise, complex content

  The parameters for defining the expiration date and time for a European style equity option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="equityEuropeanExercise" type="EquityEuropeanExercise"/>

equityValuation

  Type: | EquityValuation, complex content

  The parameters for defining when valuation of the underlying takes place.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="equityValuation" type="EquityValuation"/>

makeWholeProvisions

  Type: | MakeWholeProvisions, complex content

  Provisions covering early exercise of option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="makeWholeProvisions" type="MakeWholeProvisions"/>

prePayment

  Type: | PrePayment, complex content

  Prepayment features for Forward.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="prePayment" type="PrePayment"/>

settlementCurrency

  Type: | Currency, simple content

  The currency in which a cash settlement for non-deliverable forward and non-deliverable options.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="settlementCurrency" type="Currency"/>

settlementDate

  Type: | AdjustableOrRelativeDate, complex content

  Date on which settlement of option premiums will occur.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/>

settlementMethodElectingPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="settlementMethodElectingPartyReference" type="PartyReference"/>

settlementMethodElectionDate

  Type: | AdjustableOrRelativeDate, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="settlementMethodElectionDate" type="AdjustableOrRelativeDate"/>

settlementPriceDefaultElection

  Type: | SettlementPriceDefaultElection, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="settlementPriceDefaultElection" type="SettlementPriceDefaultElection"/>

settlementPriceSource

  Type: | SettlementPriceSource, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="settlementPriceSource" type="SettlementPriceSource"/>

settlementType

  Type: | SettlementTypeEnum, simple content

  How the option will be settled.
  Simple Content

  ("Cash" | "Physical") | "Election"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="settlementType" type="SettlementTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.